package org.colinvella.fancyfish.recipe;

import java.util.HashMap;
import java.util.Map;

import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;

public class FishScaleBootsRecipe extends ShapedRecipe
{
	public static final String ID = "FishScaleBoots";
	
	public FishScaleBootsRecipe()
	{
		super(
			ID,
			new ItemStack(ModItemRegistry.FishScaleBoots),
			new String[] {"W W", "O O"},
			buildLegend());
	}
		
	private static Map<Character, ItemStack> buildLegend()
	{
		Map<Character,Item> legend = new HashMap<Character, Item>();
		legend.put('O', ModItemRegistry.OrangeFishScale);
		legend.put('W', ModItemRegistry.WhiteFishScale);
		return ShapedRecipe.MakeStackLegend(legend);
	}
}
