package org.colinvella.fancyfish.recipe;

import java.util.HashMap;
import java.util.Map;

import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;

public class FishScaleHoeRecipe extends ShapedRecipe
{
	public static final String ID = "FishScaleHoe";
	
	public FishScaleHoeRecipe()
	{
		super(
			ID,
			new ItemStack(ModItemRegistry.FishScaleHoe),
			new String[] {"II", " S", " S"},
			buildLegend());
	}
		
	private static Map<Character, ItemStack> buildLegend()
	{
		Map<Character,Item> legend = new HashMap<Character, Item>();
		legend.put('I', ModItemRegistry.IndigoFishScale);
		legend.put('S', Items.stick);
		return ShapedRecipe.MakeStackLegend(legend);
	}
}
